
# Type: regulates, entity to entity




URI: [biolink:regulates_entity_to_entity](https://w3id.org/biolink/vocab/regulates_entity_to_entity)


## Domain and Range

[MolecularEntity](MolecularEntity.md) ->  <sub>0..*</sub> [MolecularEntity](MolecularEntity.md)

## Parents

 *  is_a: [regulates](regulates.md)

## Children

 *  [negatively regulates, entity to entity](negatively_regulates_entity_to_entity.md)
 *  [positively regulates, entity to entity](positively_regulates_entity_to_entity.md)

## Used by

 * [RNAProduct](RNAProduct.md)
 * [RNAProductIsoform](RNAProductIsoform.md)
 * [Carbohydrate](Carbohydrate.md)
 * [ChemicalSubstance](ChemicalSubstance.md)
 * [CodingSequence](CodingSequence.md)
 * [Drug](Drug.md)
 * [Exon](Exon.md)
 * [Gene](Gene.md)
 * [GeneFamily](GeneFamily.md)
 * [GeneOrGeneProduct](GeneOrGeneProduct.md)
 * [GeneProduct](GeneProduct.md)
 * [GeneProductIsoform](GeneProductIsoform.md)
 * [Genome](Genome.md)
 * [GenomicEntity](GenomicEntity.md)
 * [Genotype](Genotype.md)
 * [Haplotype](Haplotype.md)
 * [MacromolecularComplex](MacromolecularComplex.md)
 * [MacromolecularMachine](MacromolecularMachine.md)
 * [Metabolite](Metabolite.md)
 * [MicroRNA](MicroRNA.md)
 * [MolecularEntity](MolecularEntity.md)
 * [NoncodingRNAProduct](NoncodingRNAProduct.md)
 * [Protein](Protein.md)
 * [ProteinIsoform](ProteinIsoform.md)
 * [SequenceVariant](SequenceVariant.md)
 * [Transcript](Transcript.md)

## Other properties

|  |  |  |
| --- | --- | --- |
| **Aliases:** | | activity directly regulates activity of |
| **Local names:** | | regulates (translator) |
|  | | activity directly regulates activity of (ro) |
| **Mappings:** | | RO:0002448 |
| **In Subsets:** | | translator_minimal |

